Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004527OCamlOCaml generalpublic2008-04-06 16:102008-04-07 13:15
Reporterspiralvoice 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.3+dev 
Target VersionFixed in Version3.10.3+dev 
Summary0004527: Compile of driver/optcompile.ml fails
DescriptionUsing Debian unstable, gcc-4.3:

boot/ocamlrun boot/ocamlc -nostdlib -I boot -warn-error A -I utils -I parsing -I typing -I bytecomp -I asmcomp -I driver -I toplevel -c driver/optcompile.ml
File "driver/optcompile.ml", line 97, characters 10-17:
Warning Y: unused variable objfile.
File "driver/optcompile.ml", line 112, characters 16-23:
Unbound value objfile
make: *** [driver/optcompile.cmo] Fehler 2

using CVS checkout of branch release310

# cat ocaml/VERSION
3.10.3+dev1 (2008-03-12)

This bug seems to be caused by the last code check-in:
http://camlcvs.inria.fr/cgi-bin/cvsweb/ocaml/driver/optcompile.ml.diff?r1=1.53;r2=1.53.10.1;f=h [^]
Additional InformationThe new code lines

      let cmxfile = outputprefix ^ ".cmx" in
      let objfile = outputprefix ^ ext_obj in

must be moved before

      try
        if !Clflags.print_types then ignore(

to fix the problem.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-04-06 16:10 spiralvoice New Issue
2008-04-07 13:15 doligez Status new => closed
2008-04-07 13:15 doligez Resolution open => fixed
2008-04-07 13:15 doligez Fixed in Version => 3.10.3+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker